%define upstream_name    App-Daemon
%define upstream_version 0.19

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Start an Application as a Daemon
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Pid)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Std)
BuildRequires: perl(Log::Log4perl) >= 1.0.0
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Sysadm::Install) >= 0.370.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
'App::Daemon' helps running an application as a daemon. The idea is that
you prepend your script with the

    use App::Daemon qw( daemonize ); 
    daemonize();

and 'daemonize' it that way. That means, that if you write

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.190.0-2.mga4
+ Revision: 531134
- Mageia 4 Mass Rebuild

* Thu Aug 01 2013 sander85 <sander85> 0.190.0-1.mga4
+ Revision: 462154
- update to 0.19

* Sun Jan 13 2013 umeabot <umeabot> 0.180.0-2.mga3
+ Revision: 363075
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.180.0-1.mga3
+ Revision: 314844
- update to 0.18

* Wed Oct 24 2012 shlomif <shlomif> 0.160.0-1.mga3
+ Revision: 309838
- imported package perl-App-Daemon


* Wed Oct 24 2012 cpan2dist 0.16-1mga
- initial mageia release, generated with cpan2dist
